/*
 * Copyright (C) 1990-99 DMS Decision Management Systems Ges.m.b.H.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * $Id: Parser.java,v 1.2 2002/03/08 21:54:43 mrobilla Exp $
 */

package at.dms.kjc;

import at.dms.compiler.Compiler;
import at.dms.compiler.Scanner;

/**
 * This class describes the capabilities of parsers.
 */
public abstract class Parser extends at.dms.compiler.Parser {

  // --------------------------------------------------------------------
  // CONSTRUCTORS
  // --------------------------------------------------------------------

  /**
   * Constructs a new parser instance.
   * @param	compiler	the invoking compiler.
   * @param	scanner		the token stream generator
   */
  protected Parser(Compiler compiler, Scanner scanner, int lookahead) {
    super(compiler, scanner, lookahead);
  }
}
