#include "antlr/config.hpp"
#include "antlr/CommonASTNodeWithHiddenTokens.hpp"
#include "antlr/CommonHiddenStreamToken.hpp"

void CommonASTNodeWithHiddenTokens::initialize(RefToken t)
{
	CommonASTNode::initialize(t);
	hiddenBefore = static_cast<CommonHiddenStreamToken*>(t.get())->getHiddenBefore();
	hiddenAfter = static_cast<CommonHiddenStreamToken*>(t.get())->getHiddenAfter();
}

ASTNode* CommonASTNodeWithHiddenTokens::factory()
{ return new CommonASTNodeWithHiddenTokens; }
