// Generated from KjcOptions.opt
package at.dms.kjc;

import gnu.getopt.Getopt;
import gnu.getopt.LongOpt;

/** Revamped for Jex by Martin Robillard 26/06/2001 */
public class KjcOptions extends at.dms.util.Options
{
    public KjcOptions(String name)
    { super(name); }

    public KjcOptions()
    { this("Kjc"); }
    
    //public boolean verbose = false;
    //public boolean java = false;
    //public boolean nowrite = false;
    //public int warning = 0;
    //public boolean nowarn = false;
    //public int optimize = 1;
    public boolean genstubs = false;
    //public String destination = null;
    public String classpath = null;
    public boolean singlepass = false;
    //public boolean debug = false;
    //public String lang = "1.1";
    //public String filter = "at.dms.kjc.DefaultFilter";
    
    public boolean processOption(int code, Getopt g)
    {
	switch (code)
	{
	//case 'v':
	//    verbose = !false; break;
	//case 'j':
	//    java = !false; break;
	//case 'n':
	//    nowrite = !false; break;
	//case 'w':
	//    warning = getInt(g, 4); break;
	//case '*':
	//    nowarn = !false; break;
	//case 'O':
	//    optimize = getInt(g, 2); break;
	//case 'D':
	//    deprecation = !false; break;
	//case 'd':
	//    destination = getString(g, ""); break;
	case '1':
	    singlepass = true; break;
	case 'C':
	    classpath = getString(g, ""); break;
	case 'g':
	    genstubs = true; break;
	//case 'l':
	//    lang = getString(g, ""); break;
	//case 'f':
	//    filter = getString(g, ""); break;
	default:
	    return super.processOption(code, g);
	}
	return true;
    }

    public String[] getOptions()
    {
	String[]	parent = super.getOptions();
	String[]	total = new String[parent.length + 3];
	System.arraycopy(parent, 0, total, 0, parent.length);
	//total[parent.length + 0] = "  --verbose, -v:        Prints out information during compilation [false]";
	//total[parent.length + 1] = "  --java, -j:           Generates java source code instead of class [false]";
	//total[parent.length + 2] = "  --nowrite, -n:        Only checks files, doesn't generate code [false]";
	//total[parent.length + 3] = "  --warning, -w<int>:   Maximal level of warnings to be displayed [0]";
	//total[parent.length + 4] = "  --nowarn, -*:         Not used, for compatibility purpose [false]";
	//total[parent.length + 5] = "  --optimize, -O<int>:  Optimizes X times [1]";
	//total[parent.length + 6] = "  --deprecation, -D:    Tests for deprecated members [false]";
	//total[parent.length + 7] = "  --destination, -d<String>: Writes files to destination";
	total[parent.length + 0] = "  --classpath, -C<String>: Changes class path to classpath";
	total[parent.length + 1] = "  --genstubs, -g:          Generates empty Jex files for all directories to analyze [false]";
	total[parent.length + 2] = "  --singlepass, -1:        Only performs one iteration a prints out the checksum";
	//total[parent.length + 10] = "  --lang, -l<String>:   Sets the source language (1.1, 1.2, kopi) [1.1]";
	//total[parent.length + 11] = "  --filter, -f<String>: Warning filter [at.dms.kjc.DefaultFilter]";
	
	return total;
    }

    public String getShortOptions()
    {
	//return "vjnw::*O::D:d:C:gl:f:" + super.getShortOptions();
	return "C:g1" + super.getShortOptions();
    }

    public void version()
    {
    }

    public void usage()
    {
	System.err.println("usage: at.dms.kjc.Main [option]* [--help] <jex-config>");
	version();
    }

    public void help()
    {
	System.err.println("usage: at.dms.kjc.Main [option]* [--help] <jex-config>");
	printOptions();
	System.err.println();
	//System.err.println("THIS PROGRAM IS PART OF GNU KOPI, A SET OF GNU PACKAGES FOR JVM CODE GENERATION");
	//System.err.println("MORE INFO:                 see: http://www.dms.at/kopi, http://www.gnu.org/kopi");
	//System.err.println("THE GRAMMAR WAS DEVELOPED USING ANTLR.                 see http://www.antlr.org");
	version();
    }

    public LongOpt[] getLongOptions()
    {
	LongOpt[]	parent = super.getLongOptions();
	LongOpt[]	total = new LongOpt[parent.length + LONGOPTS.length];
    
	System.arraycopy(parent, 0, total, 0, parent.length);
	System.arraycopy(LONGOPTS, 0, total, parent.length, LONGOPTS.length);
    
	return total;
    }

    private static final LongOpt[] LONGOPTS =
    {
	//new LongOpt("verbose", LongOpt.NO_ARGUMENT, null, 'v'),
	//new LongOpt("java", LongOpt.NO_ARGUMENT, null, 'j'),
	//new LongOpt("nowrite", LongOpt.NO_ARGUMENT, null, 'n'),
	//new LongOpt("warning", LongOpt.OPTIONAL_ARGUMENT, null, 'w'),
	//new LongOpt("nowarn", LongOpt.NO_ARGUMENT, null, '*'),
	//new LongOpt("optimize", LongOpt.OPTIONAL_ARGUMENT, null, 'O'),
	//new LongOpt("deprecation", LongOpt.NO_ARGUMENT, null, 'D'),
	//new LongOpt("destination", LongOpt.REQUIRED_ARGUMENT, null, 'd'),
	new LongOpt("classpath", LongOpt.REQUIRED_ARGUMENT, null, 'C'),
	new LongOpt("genstubs", LongOpt.NO_ARGUMENT, null, 'g'),
	new LongOpt("singlepass", LongOpt.NO_ARGUMENT, null, '1' )
	//new LongOpt("lang", LongOpt.REQUIRED_ARGUMENT, null, 'l'),
	//new LongOpt("filter", LongOpt.REQUIRED_ARGUMENT, null, 'f')
    };
}
